# $Revision: 1.17 $, $Date: 2012/05/16 19:05:32 $
Summary:	Networking support for GLib
Summary(pl.UTF-8):	Obsługa sieci dla GLiba
Name:		glib-networking
Version:	2.32.3
Release:	1
License:	LGPL v2
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glib-networking/2.32/%{name}-%{version}.tar.xz
# Source0-md5:	bbad85de0a1466fdfd696e06d84b8f0d
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.31.6
BuildRequires:	gnutls-devel >= 2.12.8
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgcrypt-devel >= 1.2.0
BuildRequires:	libproxy-devel >= 0.3.1
BuildRequires:	libtool >= 2:2.0
BuildRequires:	p11-kit-devel >= 0.8
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.31.6
Requires:	ca-certificates
Requires:	glib2 >= 1:2.31.6
Requires:	gsettings-desktop-schemas
Requires:	libproxy >= 0.3.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains modules that extend the networking support in
GIO. In particular, it contains a libproxy-based GProxyResolver
implementation and a gnutls-based GTlsConnection implementation.

%description -l pl.UTF-8
Ten pakiet zawiera moduły rozszerzające obsługę sieci w GIO, w
szczególności: implementację GProxyResolver opartą na libproxy oraz
implementację GTlsConnection opartą na gnutls.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--with-ca-certificates=/etc/certs/ca-certificates.crt
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gio/modules/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%postun
umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/glib-pacrunner
%attr(755,root,root) %{_libdir}/gio/modules/libgiognutls.so
%attr(755,root,root) %{_libdir}/gio/modules/libgiolibproxy.so
%attr(755,root,root) %{_libdir}/gio/modules/libgiognomeproxy.so
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glib-networking.spec,v $
Revision 1.17  2012/05/16 19:05:32  kiesiu
- updated to 2.32.3

Revision 1.16  2012/04/17 16:22:19  megabajt
- updated to 2.32.1

Revision 1.15  2012/03/30 17:11:21  qboosh
- GIO modules require gsettings-desktop-schemas

Revision 1.14  2012/03/28 15:51:13  qboosh
- versioned runtime glib2 dependency

Revision 1.13  2012/03/27 18:26:59  kiesiu
- updated to 2.32.0; merged from DEVEL

Revision 1.12.2.1  2012/03/06 19:20:08  megabajt
- updated to 2.31.20

Revision 1.12  2012/01/07 14:21:12  qboosh
- updated to 2.30.2

Revision 1.11  2011/10/18 18:56:14  kiesiu
- updated to 2.30.1

Revision 1.10  2011/09/27 19:37:47  kiesiu
- updated to 2.30.0; merged from DEVEL

Revision 1.9.2.2  2011/09/20 16:26:39  wiget
- up to 2.29.92

Revision 1.9.2.1  2011/09/07 20:20:38  wiget
- up to 2.29.18

Revision 1.9  2011/08/31 06:27:42  arekm
- release 2

Revision 1.8  2011/05/24 15:49:12  megabajt
- updated to 2.28.7

Revision 1.7  2011/04/26 18:26:46  megabajt
- updated to 2.28.6.1

Revision 1.6  2011/04/26 11:06:57  megabajt
- updated to 2.28.6

Revision 1.5  2011/04/04 17:06:47  megabajt
- updated to 2.28.5

Revision 1.4  2011/03/22 09:01:22  wiget
- up to 2.28.4

Revision 1.3  2011/03/07 19:34:11  qboosh
- pl, libtool version

Revision 1.2  2011/02/22 17:30:06  megabajt
- updated to 2.28.0

Revision 1.1  2011/02/22 11:17:53  megabajt
- new
